Issue with php55

(Saledan) #1

Hi all,
in the past I installed package php55 (and php55-mycrypt) and it was version 5.5.33.
Today I tryed to install php55-phalcon.
After installation apache didn’t start.

httpd: Syntax error on line 170 of /private/etc/apache2/httpd.conf: Cannot load /usr/local/opt/php55/libexec/apache2/ into server: dlopen(/usr/local/opt/php55/libexec/apache2/, 10): image not found

After checking on my system I found the following state:

/usr/local/opt/php55 --> …/Cellar/php55/5.5.38_12

and on /usr/loca/Cellar/php55 I have the following two folders:

  • 5.5.33
  • 5.5.38_12

“5.5.38_12” folder has been created today with phalcon installation and it doesn’t contain libexec …

CLI running 5.5.38

What can I do now to get php 5.5 working again? (working with mycrypt and phalcon) …

Thanks a lot
Merry Xmas to all

(Sean Molenaar) #2

Running versions of php that no longer get security updates is highly discouraged.

Now that we got that out of the way, can you try to run brew reinstall --build-from-source php55 php55-mcrypt

(Saledan) #3

I know that is discouraged, but it’s just a developing system…
Anyway later I’ll try to reinstall as you suggested.

thanks a lot